使用jQuery EasyUI去除必填验证报错400错误问题原因

  1. 云栖社区>
  2. 博客>
  3. 正文

使用jQuery EasyUI去除必填验证报错400错误问题原因

技术小阿哥 2017-11-27 17:14:00 浏览702
展开阅读全文

情景:

在客户使用中,需要去除一些必填验证(很简单啊)去除后,丫的!运行后没法保存了,请求的保存链接直接400错误,汗。。。


检测:

后台没有任何问题,恢复历史版本保存没错!锁定为页面代码问题,可以检查半天也没看出区别,只能采用块检测了,去除尾部模块,保存,Ok了。我去


原因:

后台mode类型定义为int基础类型,去除必填输入框为空就报400错了


解决方案:

1、修改属性类型为引用类型

2、设置页面默认值为0或提前数字



本文转自 沫沫金 51CTO博客,原文链接:http://blog.51cto.com/zl0828/1216602,如需转载请自行联系原作者

网友评论

登录后评论
0/500
评论